version: "3.7"
services:
    database:
        image: postgres:latest
        ports: 
            - 5432:5432
        environment:
            - POSTGRES_USER=postgres
            - POSTGRES_PASSWORD=postgres
            - POSTGRES_DB=postgres
        volumes:
            - database_data:/var/lib/postgresql/data

    api:
        restart: always
        expose:
            - 8000
        ports:
            - 8000:8000
        build: .
        environment:
            - PGHOST=database
            - PGDATABASE=postgres
            - PGUSER=postgres
            - PGPASSWORD=postgres
        volumes:
            - .:/app
        
volumes:
    database_data:
        driver: local

